/* HEADER ==================== */
/* .sc-template-single .header .border-line, .sc-template-single .footer .border-line {
	visibility: hidden !important;
} */

#header {
    position: fixed;
    width: 100vw;
    top: 0;
    transition: transform var(--duration) var(--timing-function);
    z-index: 99;
}

.header-nav {
    background-color: var(--color-white);
    display: flex;
    align-items: center;
    padding: var(--spacing-24) var(--spacing-container);
    transition: box-shadow var(--duration) var(--timing-function);
}

.header-nav a {
    display: block;
    font-weight: var(--font-weight-semibold);
}

.header-nav a.active {
    color: var(--color-deep-blue);
}

/* Logo */
.header-logo .logo {
    height: var(--32px);
}

.header-logo .logo img {
    height: 100%;
    width: auto;
}

/* Menu */
.header-menu {
    margin-left: auto;
    height: 100%;
}

.header-menu .menu {
    display: flex;
    grid-gap: var(--spacing-40);
    align-items: center;
}

.header-menu .menu a:not(.submenu-close):active {
    color: var(--color-deep-blue);
    text-decoration: underline;
}

/* User */
.header-user {
    margin-left: var(--spacing-40);
}

.header-user a {
    display: flex;
    align-items: center;
}

/* Interaction */
html.no-touchevents .header-nav a:hover {
    color: var(--color-deep-blue);
}

html.page-scrolling .header-nav {
    box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.05);
    transition-delay: 0.3s;
}

html.page-scrolling--down #header {
    transform: translateY(-100%);
}

html.page-scrolling--up #header {
    transform: translateY(0);
}

@media (min-width: 836px) {
    .header-menu .menu .dropdown-menu {
        height: 0;
        opacity: 0;
        pointer-events: none;
        position: absolute;
        top: calc(100% + var(--spacing-12));
        left: 50%;
        transform: translateX(-50%);
        padding: var(--spacing-24);
        background-color: var(--color-white);
        border: 1px solid var(--color-light-gray);
        transition: var(--duration) var(--timing-function);
    }

    .header-menu .menu .dropdown-menu.active {
        height: auto;
        opacity: 1;
        pointer-events: auto;
    }

    .header-menu .menu .dropdown-menu ul {
        display: block;
        display: flex;
        flex-direction: column;
        grid-gap: var(--spacing-8);
        text-wrap: nowrap;
    }

    .header-menu .menu li {
        position: relative;
    }
}

@media (max-width: 835px) {
    .header-nav {
        padding: var(--spacing-16) var(--spacing-container);
    }

    /* Logo */
    .header-logo .logo {
        height: var(--28px);
    }

    /* Menu - Panel */
    .panel {
        position: fixed;
        top: var(--header-height);
        left: 0;
        width: 100vw;
        height: calc(100dvh - var(--header-height));
        max-height: 100dvh;
        overflow: hidden;
        background-color: var(--color-white);
        z-index: 95;
        transform: translateX(100%);
        transition: transform var(--duration-x2) cubic-bezier(0.83, 0, 0.17, 1);
    }

    .panel-overlay {
        position: fixed;
        top: var(--header-height);
        left: 0;
        z-index: 90;
        width: 100vw;
        height: calc(100dvh - var(--header-height));
        background-color: rgba(var(--color-black-rgb), 0.75);
        opacity: 0;
        transition: opacity var(--duration) var(--timing-function);
        pointer-events: none;
    }

    html.header-menu-enabled .panel {
        transform: translateX(0);
    }

    html.header-menu-enabled .panel-overlay {
        opacity: 1;
    }

    .panel-scroll {
        height: 100%;
        overflow-y: auto;
        -webkit-overflow-scrolling: touch;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        -ms-scroll-chaining: none;
        overscroll-behavior: contain;
        -webkit-mask-box-image: -webkit-linear-gradient(
            -90deg,
            transparent 0%,
            white var(--spacing-20),
            white calc(100% - var(--spacing-36)),
            transparent 100%
        );
    }

    .panel-container {
        flex-direction: column;
        display: flex;
        justify-content: space-between;
        grid-gap: var(--spacing-24);
        height: calc(100dvh - var(--header-height));
    }

    .panel-footer {
        padding-bottom: var(--spacing-36);
    }

    .header-menu .menu {
        flex-direction: column;
        grid-gap: 0;
    }

    .header-menu .menu li {
        width: 100%;
    }

    .header-menu .menu a {
        padding: var(--spacing-12) var(--spacing-container);
    }

    .header-menu .menu a:not(.submenu-close):active {
        color: var(--color-white);
        background-color: var(--color-deep-blue);
        text-decoration: none;
    }

    /* Menu Submenu */
    .header-menu .menu .dropdown-menu {
        position: fixed;
        height: calc(100dvh - var(--header-height));
        max-height: 100dvh;
        top: 0;
        left: 0;
        width: 100vw;
        background-color: var(--color-white);
        z-index: 10;
        transform: translateX(100%);
        transition: transform var(--duration-x2) cubic-bezier(0.83, 0, 0.17, 1);
    }

    .header-menu .menu .dropdown-menu.active {
        transform: translateX(0);
    }

    .header-menu .menu .dropdown-menu ul {
        padding-bottom: var(--spacing-36);
    }

    .submenu-close {
        display: flex !important;
        align-items: center;
        grid-gap: var(--spacing-12);
        color: var(--color-deep-blue);
    }

    .header-menu .social-menu {
        padding: 0 var(--spacing-container);
    }

    /* User */
    .header-user {
        margin-left: var(--spacing-16);
    }
}
